Package Details: perl-authen-pam 0.16-3

Git Clone URL: (read-only)
Package Base: perl-authen-pam
Description: Perl interface to PAM library
Upstream URL:
Licenses: unknown
Submitter: jose1711
Maintainer: jose1711
Last Packager: jose1711
Votes: 5
Popularity: 0.027922
First Submitted: 2016-07-25 05:09
Last Updated: 2017-06-07 21:21

Latest Comments

jose1711 commented on 2017-09-04 05:51

see comment from xyne on this matter:

personally i tend not to bump pkgrel just for the sake of rebuilding it.

amish commented on 2017-09-04 02:22

Its done for all official perl packages (all have pkgrel bumped) and recommended to be done for AUR packages as well. See this official news:

jose1711 commented on 2017-09-03 13:30

has there been made an agreement to do it for all aur perl modules?

amish commented on 2017-09-03 08:08

Please bump pkgrel=4 for new perl module directory changes.

jose1711 commented on 2017-06-07 21:21

thank you, added

amish commented on 2017-06-07 12:18

Due to new perl 5.26 which does not have "." directory in @INC, we need to patch the package till upstream fixes it.

Issue was reported upstream 2 months back but it has not been fixed yet.

I have created a dotinc.patch, which can be found here:

Changes needed to PKGBUILD are as follows:
source=("$pkgver.tar.gz" "dotinc.patch")
md5sums=('7278471dfa694d9ef312bc92d7099af2' 'e812004c2cb95df2ac45d415687d8b6a')

prepare() {
cd ${srcdir}/Authen-PAM-$pkgver
patch -p1 -i ../dotinc.patch